# Uses of Enum Class
org.bukkit.event.entity.EntityTransformEvent.TransformReason

Packages that use EntityTransformEvent.TransformReason
Package
Description
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of EntityTransformEvent.TransformReason in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return EntityTransformEvent.TransformReason
Modifier and Type
Method
Description
`@NotNull EntityTransformEvent.TransformReason`
EntityTransformEvent.`getTransformReason()`
Gets the reason for the conversion that has occurred.
`static EntityTransformEvent.TransformReason`
EntityTransformEvent.TransformReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityTransformEvent.TransformReason[]`
EntityTransformEvent.TransformReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.entity with parameters of type EntityTransformEvent.TransformReason
Modifier
Constructor
Description
``
`EntityTransformEvent(@NotNull Entity original, @NotNull List<Entity> convertedList, @NotNull EntityTransformEvent.TransformReason transformReason)`